Skip to main content
GET
Get all credit notes

Authorizations

Authorization
string
header
required

Use the /v1/oauth2/token endpoint to obtain an access token and pass it as a Bearer token in the Authorization header.

Query Parameters

per_page
integer

Number of records per page

page
integer

Page number

external_customer_id
string

Filter credit notes by external customer ID

invoice_id
string

Filter credit notes by invoice ID

status
enum<string>

Filter credit notes by status Status values for filtering credit notes

Available options:
DRAFT,
FINALIZED,
VOIDED
Example:

"FINALIZED"

credit_status
enum<string>

Filter credit notes by credit status (e.g., available, consumed, voided) The status of the credit portion of the credit note

Available options:
AVAILABLE,
CONSUMED,
VOIDED
Example:

"AVAILABLE"

refund_status
enum<string>

Filter credit notes by refund status The status of the refund portion of the credit note

Available options:
PENDING,
SUCCEEDED,
FAILED
Example:

"PENDING"

reason
enum<string>

Filter credit notes by reason The reason for credit note creation

Available options:
DUPLICATED_CHARGE,
PRODUCT_UNSATISFACTORY,
ORDER_CHANGE,
ORDER_CANCELLATION,
FRAUDULENT_CHARGE,
OTHER
Example:

"OTHER"

id
string

Filter credit notes by ID

number
string

Filter credit notes by credit note number

issuing_date_from
string<date-time>

Filter credit notes issued on or after this date (ISO 8601 format) Date and time in ISO 8601 format.

Example:

"2023-10-01T12:00:00Z"

issuing_date_to
string<date-time>

Filter credit notes issued on or before this date (ISO 8601 format) Date and time in ISO 8601 format.

Example:

"2023-10-01T12:00:00Z"

created_at_from
string<date-time>

Filter credit notes created on or after this date (ISO 8601 format) Date and time in ISO 8601 format.

Example:

"2023-10-01T12:00:00Z"

created_at_to
string<date-time>

Filter credit notes created on or before this date (ISO 8601 format) Date and time in ISO 8601 format.

Example:

"2023-10-01T12:00:00Z"

updated_at_from
string<date-time>

Filter credit notes updated on or after this date (ISO 8601 format) Date and time in ISO 8601 format.

Example:

"2023-10-01T12:00:00Z"

updated_at_to
string<date-time>

Filter credit notes updated on or before this date (ISO 8601 format) Date and time in ISO 8601 format.

Example:

"2023-10-01T12:00:00Z"

Response

A list of credit notes.

credit_notes
object[]
metadata
object